package com.tzld.longarticle.recommend.server;

// import com.tzld.piaoquan.recommend.feature.client.FeatureClient;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisReactiveAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;


/**
 * https://github.com/grpc-swagger/grpc-swagger/blob/master/README_CN.md
 */
@SpringBootApplication(exclude = {
        RedisReactiveAutoConfiguration.class
})
@ComponentScan({
        "com.tzld.longarticle.recommend.server.service",
        "com.tzld.longarticle.recommend.server.remote",
        "com.tzld.longarticle.recommend.server.config",
        "com.tzld.longarticle.recommend.server.web",
})
@EnableAspectJAutoProxy
public class Application {
    public static void main(String[] args) {
        SpringApplication.run(Application.class, args);
    }


}

