package com.tzld.longarticle.recommend.server.service.filter.strategy;

import com.tzld.longarticle.recommend.server.model.Content;
import com.tzld.longarticle.recommend.server.service.filter.FilterParam;
import com.tzld.longarticle.recommend.server.service.filter.FilterStrategy;
import com.tzld.longarticle.recommend.server.util.CommonCollectionUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author dyp
 */
@Component
@Slf4j
public class DuplicateStrategy implements FilterStrategy {

    @Override
    public List<String> filter(FilterParam param) {
        return CommonCollectionUtils.toList(param.getContents(), Content::getId);
    }

}
